SELECT 
    TABLE_SCHEMA,
    TABLE_NAME,
    COLUMN_NAME,
    DATA_TYPE,
    CHARACTER_MAXIMUM_LENGTH
FROM INFORMATION_SCHEMA.COLUMNS
WHERE COLUMN_NAME in ('SaticiKodu','Satici')
  AND DATA_TYPE IN ('varchar', 'nvarchar', 'char','nchar');


  SELECT 
    'ALTER TABLE [' + TABLE_SCHEMA + '].[' + TABLE_NAME + '] 
     ALTER COLUMN [' + COLUMN_NAME + '] ' + 
     DATA_TYPE + 
     '(' + 
     CASE 
         WHEN CHARACTER_MAXIMUM_LENGTH = -1 THEN 'MAX' 
         ELSE '10' -- Yeni uzunlušu buraya yaz
     END + ');' AS AlterScript
FROM INFORMATION_SCHEMA.COLUMNS
WHERE COLUMN_NAME in ('SaticiKodu','Satici')
  AND DATA_TYPE IN ('varchar', 'nvarchar', 'char', 'nchar');


  SELECT 
    'ALTER TABLE [' + TABLE_SCHEMA + '].[' + TABLE_NAME + '] 
     ALTER COLUMN [' + COLUMN_NAME + '] ' + 
     DATA_TYPE + 
     '(' + 
     CASE 
         WHEN CHARACTER_MAXIMUM_LENGTH = -1 THEN 'MAX' 
         ELSE '25' -- Yeni uzunlušu buraya yaz
     END + ');' AS AlterScript
FROM INFORMATION_SCHEMA.COLUMNS
WHERE COLUMN_NAME = 'SaticiAdi'
  AND DATA_TYPE IN ('varchar', 'nvarchar', 'char', 'nchar');